/***************************************************************************

	File: pic_delay.c

	Copyright (C) 2010-2012 S.Suwa <www.suwa-koubou.jp>

	for 40Mhz|80Mhz
		PIC32MX220F/PIC32MX695F	(use TMR5)

*/

#include	"pic_delay.h"
#include	"HardwareProfile.h"

#include	<plib.h>

// PIC32MX220/PIC32MX695F

/*--------------------------------------------------------------------------
	delay routines
--------------------------------------------------------------------------*/

void delay_ms(unsigned int t)
{
	unsigned int	limit;

	T5CON = 0x8010;	// prescale 1:2
	limit = GetPeripheralClock()/2/1000;	// count of 1 msec = (40MHz|80MHz)/2/1000

	while(t--){
		TMR5 = 0;	// reset timer
		while(TMR5 < limit);	// wait 1msec
	}
	T5CON = 0;
}


void delay_10us(unsigned int t)
{
	while(t--){
		delay_5us();
		delay_5us();
	}
}


void delay_us(unsigned int t)
{
	while(t--){
		delay_1us();
	}
}


void delay_5us(void)
{
	delay_1us();
	delay_1us();
	delay_1us();
	delay_1us(); 
	delay_1us(); 
}

void delay_1us(void)
{
	T5CON = 0x8000;	// prescale 1:1
	TMR5 = 0;
	while(TMR5 < (GetPeripheralClock()/1000000UL -5) );
	T5CON = 0;
}

/*** end of pic_delay.c ****************************************************/
